textures/castello/Flagge
{
	qer_editorimage textures/castello/logo1.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none

	{
		map textures/ctf/ctf_redflag.tga
		rgbGen identity
	}
	{
		map textures/effects/logo1.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/ncc/ncc_misc/logo1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castello/artic_dn3OLDsml
{
	q3map_nonplanar
	q3map_lightimage textures/castello/artic_dn3OLDsml.tga
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	{
		map textures/castello/artic_dn3OLDsm.tga
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castello/box20
{
	qer_editorimage textures/castello/box20.tga
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	skyparms env/castello/box20 - -
}

textures/castello/castellosky
{
	qer_editorimage textures/castello/castellosky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 220
	q3map_sun 1 1 1 400 90 1024
	skyparms env/castello/castello - -
}

textures/castello/fs_gate2
{
	qer_editorimage textures/castello/fs_gate2.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/castello/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/castello/fs_gate3a
{
	qer_editorimage textures/castello/fs_gate3a.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/castello/fs_gate3a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/castello/fs_gate3c
{
	qer_editorimage textures/castello/fs_gate3c.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/castello/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/castello/fs_ladder03inner
{
	qer_editorimage textures/castello/fs_ladder03inner.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/castello/fs_ladder03inner.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/castello/fs_rain2c
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		map textures/castello/fs_rain2c.tga
		tcMod Scroll 0 -1
		blendFunc GL_ONE GL_ONE
	}
}

textures/castello/moon
{
	qer_editorimage textures/castello/nightsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun .2 .2 .7 220 50 75
	q3map_surfacelight 150
	skyparms env/camelot - -
}

textures/castello/plainglass
{
	surfaceparm nolightmap
	cull twosided

	{
		map textures/riches/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/castello/seewater
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		map textures/castello/seewater.tga
		tcMod Scroll 0 -1
		blendFunc GL_ONE GL_ONE
	}
}

textures/castello/spinnenwebe
{
	qer_editorimage textures/castello/spinnenwebe.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/castello/spinnenwebe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/castello/venice_water
{
	qer_editorimage textures/castello/venice_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/castello/venice_water.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/castello/venice_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/castello/wasserfall
{
	qer_editorimage textures/castello/seewater.tga
	q3map_globaltexture
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water
	surfaceparm noimpact
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8

	{
		map textures/castello/seewater.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 1.5 2.5
		tcMod turb .1 .08 .5 .1
		tcMod scroll 2 -.25
	}
	{
		map textures/castello/seewater.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1.5 .5
		tcMod turb .1 .075 .5 .05
		tcMod scroll 2. .1
	}
}

textures/wald1
{
	qer_editorimage textures/castello/wald1.tga
	surfaceparm nosteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castello/wald1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
