textures/bbq/rommelsky
{
	qer_editorimage textures/bbq/rommelsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 220
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 1 1 400 90 1024
// note: Change the fourth value if you want a brighter or dimmer sun
	skyparms env/rommel - -
}


textures/bbq/towertop
{
	qer_editor_image textures/bbq/towertop.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/towertop.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/bbq/barbedwire
{
	qer_editor_image textures/bbq/barbedwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/bbq/barbedwire.tga
		alphaFunc GE128
	}
}

textures/bbq/razorwire
{
	qer_editor_image textures/bbq/razorwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/bbq/razorwire.tga
		alphaFunc GE128
	}
}

textures/bbq/ladderclip
{
	  qer_editor_image textures/bbq/ladderclip.tga        
	  qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/bbq/01_handrail
{
	qer_editor_image textures/bbq/01_handrail.tga
	qer_trans 0.40
	surfaceParm nolightmap
	nopicmip
	cull disable
	
	{
		map textures/bbq/01_handrail.tga
		alphaFunc GE128
	}
}

textures/bbq/01_windowrail
{
	qer_editor_image textures/bbq/01_windowrail.tga
	qer_trans 0.40	
	surfaceParm nolightmap
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/01_windowrail.tga
		alphaFunc GE128
	}
}

textures/bbq/curtain01
{
	qer_editorimage textures/bbq/curtain01.tga
	cull disable
	surfaceparm noimpact
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/bbq/curtain01.tga
	}
}

textures/bbq/door_white
{
qer_editorimage textures/bbq/doorwhite.tga
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/bbq/doorwhite.tga
	alphaFunc GE128
}
	
{
	map $lightmap rgbGen identity blendFunc filter
}
} 

textures/bbq/04_window
{
qer_editorimage textures/bbq/04_window.tga
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/bbq/04_window.tga
	alphaFunc GE128
}
	
{
	map $lightmap rgbGen identity blendFunc filter
}
} 


textures/bbq/dark
{
	qer_editor_image textures/bbq/black.jpg
	cull disable
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid
	surfaceparm water
	surfaceparm trans

	{
		map textures/bbq/black.jpg
	}
}

textures/bbq/02_metal
{
	qer_editor_image textures/urban_terror/clang_floor.tga
	surfaceParm metalsteps
	{
		map textures/urban_terror/clang_floor.tga
	}
}


textures/bbq/spiderweb
{
	qer_editor_image textures/bbq/spiderweb.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/spiderweb.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/bbq/venice_water
{
	qer_editorimage textures/bbq/venice_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/bbq/venice_water.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/bbq/venice_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/bbq/debri01
{
        qer_editorimage textures/bbq/debri01.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/debri01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes01
{
        qer_editorimage textures/bbq/bushes01.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes02
{
        qer_editorimage textures/bbq/bushes02.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes03
{
        qer_editorimage textures/bbq/bushes03.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}